StockChartProperties (jCharts-0.7.5 API)
Keywords: org.jCharts.properties.StockChartProperties,StockChartProperties class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.properties
Class StockChartProperties

    java.lang.Object
      |
      +--org.jCharts.properties.ChartTypeProperties
            |
            +--org.jCharts.properties.AxisChartTypeProperties
                  |
                  +--org.jCharts.properties.StockChartProperties

All Implemented Interfaces:
  HTMLTestable

public final class StockChartProperties
extends AxisChartTypeProperties

Field Summary
`private int` | `closeLength`
`private java.awt.Stroke` | `closeStroke`
`static java.awt.Stroke` | `DEFAULT_STROKE`
`private java.awt.Stroke` | `hiLowStroke`
`private int` | `openLength`
`private java.awt.Stroke` | `openStroke`

Fields inherited from class org.jCharts.properties.AxisChartTypeProperties
``

Constructor Summary
`StockChartProperties()`
`StockChartProperties(java.awt.Stroke hiLowStroke, java.awt.Stroke openStroke, int openPixelLength, java.awt.Stroke closeStroke, int closePixelLength)`

Method Summary
`int` | `getClosePixelLength()`
`java.awt.Stroke` | `getCloseStroke()`
`java.awt.Stroke` | `getHiLowStroke()`
`int` | `getOpenPixelLength()`
`java.awt.Stroke` | `getOpenStroke()`
`void` | `setClosePixelLength(int pixelLength)`
`void` | `setCloseStroke(java.awt.Stroke stroke)`
`void` | `setHiLowStroke(java.awt.Stroke stroke)`
`void` | `setOpenPixelLength(int pixelLength)`
`void` | `setOpenStroke(java.awt.Stroke stroke)`
`void` | `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.
`void` | `validate(IAxisPlotDataSet iAxisPlotDataSet)` Validates the properties.

Methods inherited from class org.jCharts.properties.AxisChartTypeProperties
`addPostRenderEventListener, addPreRenderEventListener, firePostRender, firePreRender`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STROKE

    public static final java.awt.Stroke DEFAULT_STROKE

### hiLowStroke

    private java.awt.Stroke hiLowStroke

### openStroke

    private java.awt.Stroke openStroke

### openLength

    private int openLength

### closeStroke

    private java.awt.Stroke closeStroke

### closeLength

    private int closeLength

Constructor Detail

### StockChartProperties

    public StockChartProperties()

### StockChartProperties

    public StockChartProperties(java.awt.Stroke hiLowStroke,
                                java.awt.Stroke openStroke,
                                int openPixelLength,
                                java.awt.Stroke closeStroke,
                                int closePixelLength)

Parameters:
  `hiLowStroke` -
  `openStroke` -
  `openPixelLength` -
  `closeStroke` -
  `closePixelLength` -

Method Detail

### getHiLowStroke

    public java.awt.Stroke getHiLowStroke()

  Returns:
    Stroke

### setHiLowStroke

    public void setHiLowStroke(java.awt.Stroke stroke)

  Parameters:
    `stroke` -

### getOpenStroke

    public java.awt.Stroke getOpenStroke()

  Returns:
    Stroke

### setOpenStroke

    public void setOpenStroke(java.awt.Stroke stroke)

  Parameters:
    `stroke` -

### getOpenPixelLength

    public int getOpenPixelLength()

  Returns:
    int

### setOpenPixelLength

    public void setOpenPixelLength(int pixelLength)

  Parameters:
    `pixelLength` -

### getCloseStroke

    public java.awt.Stroke getCloseStroke()

  Returns:
    Stroke

### setCloseStroke

    public void setCloseStroke(java.awt.Stroke stroke)

  Parameters:
    `stroke` -

### getClosePixelLength

    public int getClosePixelLength()

  Returns:
    int

### setClosePixelLength

    public void setClosePixelLength(int pixelLength)

  Parameters:
    `pixelLength` -

### validate

    public void validate(IAxisPlotDataSet iAxisPlotDataSet)
                  throws PropertyException

  Validates the properties.

  Specified by:
    `validate` in class `AxisChartTypeProperties`
  Parameters:
    `iAxisPlotDataSet` -
  Throws:
    `PropertyException`

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

  Enables the testing routines to display the contents of this Object.

  Parameters:
    `htmlGenerator` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD